apiVersion: v1
items:
- apiVersion: siteconfig.open-cluster-management.io/v1alpha1
  kind: ClusterInstance
  metadata:
    annotations:
      clusterinstance.siteconfig.open-cluster-management.io/last-observed-spec: '{"clusterName":"vm00058","pullSecretRef":{"name":"ibi-pull-secret"},"clusterImageSetNameRef":"openshift-4.19.14","sshPublicKey":"ssh-rsa
        AAAAB3NzaC1yc2EAAAADAQABAAABgQCxscIx1+gLr5/lFmtq7mK4wCqOgrvojUBwrRGZ5tJdwVwsbULmz0djuuKJbdE7ort6g+UFByr8sV3RVcW7tIqUfQi25+P03Npyyv/1T6XvMCxLZrL9YoYYY8mqVPHAu8NAasSJ0okdUgxytLXgi7SiIv58jaFb+P8n/74kSA90Zm7isuR7OdlVgPux7Kky6jr2r8y58iIZbrU43uuqzNsVmRm+y91w1VetfPNJgJUPgbaF8hMHrt7mK9u85bmN9uEGGxeQitDmMiA0MEJlddJCxh+yC7yqyaOpzOJFY951M3A5QcZTmuAWgztN3ruuezpHmWKF4+YwVBiYBrfUwtZmBlQPGNWah0Hkb4YASN//LgsR8N/X09eU54ndHlzNc3kkS55C/TV/K7Wmg4ovX8qYXi6NA3PGuMiblzQn2C/vVQZYSfoxtmI27/aRHaTnbdI8Dr41jcUr5TFtB/R9uYcdn/jcJl+0eq1F37vBcptVLYXhsmvH6+ZhL26u6gmG82M=
        root@d25-h23-000-r650.rdu2.scalelab.redhat.com","baseDomain":"rdu2.scalelab.redhat.com","additionalNTPSources":["fc00:1010::23"],"machineNetwork":[{"cidr":"fc00:1010::/64"}],"clusterNetwork":[{"cidr":"fd01::/48","hostPrefix":64}],"serviceNetwork":[{"cidr":"fd02::/112"}],"networkType":"OVNKubernetes","extraLabels":{"ManagedCluster":{"common":"true","du-profile":"4.19","group-du-sno":"","name":"vm00058","observability":"enabled","sites":"vm00058"}},"installConfigOverrides":"{\"capabilities\":{\"baselineCapabilitySet\":
        \"None\", \"additionalEnabledCapabilities\": [ \"OperatorLifecycleManager\",
        \"Ingress\", \"NodeTuning\" ] }}","cpuPartitioningMode":"None","cpuArchitecture":"x86_64","clusterType":"SNO","templateRefs":[{"name":"ibi-cluster-templates-v1","namespace":"open-cluster-management"}],"nodes":[{"bmcAddress":"redfish-virtualmedia+http://[fc00:1010::23]:9000/redfish/v1/Systems/728cd440-8280-5121-beee-1a562d24b4d4","bmcCredentialsName":{"name":"vm00058-bmc-secret"},"bootMACAddress":"52:54:00:00:00:3a","automatedCleaningMode":"disabled","nodeNetwork":{"interfaces":[{"name":"enp1s0","macAddress":"52:54:00:00:00:3a"}],"config":{"dns-resolver":{"config":{"server":["fc00:1010::23"]}},"interfaces":[{"identifier":"mac-address","ipv4":{"enabled":false},"ipv6":{"address":[{"ip":"fc00:1010::421","prefix-length":64}],"autoconf":false,"dhcp":false,"enabled":true},"mac-address":"52:54:00:00:00:3a","name":"enp1s0","state":"up","type":"ethernet"}],"routes":{"config":[{"destination":"::/0","next-hop-address":"fc00:1010::1","next-hop-interface":"enp1s0"}]}}},"hostName":"vm00058","bootMode":"UEFI","role":"master","ironicInspect":"disabled","templateRefs":[{"name":"ibi-node-templates-v1","namespace":"open-cluster-management"}]}]}'
      kubectl.kubernetes.io/last-applied-configuration: |
        {"apiVersion":"siteconfig.open-cluster-management.io/v1alpha1","kind":"ClusterInstance","metadata":{"annotations":{},"labels":{"app.kubernetes.io/instance":"ztp-clusters-04"},"name":"vm00058","namespace":"vm00058"},"spec":{"additionalNTPSources":["fc00:1010::23"],"baseDomain":"rdu2.scalelab.redhat.com","clusterImageSetNameRef":"openshift-4.19.14","clusterName":"vm00058","clusterNetwork":[{"cidr":"fd01::/48","hostPrefix":64}],"clusterType":"SNO","extraLabels":{"ManagedCluster":{"common":"true","du-profile":"4.19","group-du-sno":"","name":"vm00058","observability":"enabled","sites":"vm00058"}},"holdInstallation":false,"installConfigOverrides":"{\"capabilities\":{\"baselineCapabilitySet\": \"None\", \"additionalEnabledCapabilities\": [ \"OperatorLifecycleManager\", \"Ingress\", \"NodeTuning\" ] }}","machineNetwork":[{"cidr":"fc00:1010::/64"}],"networkType":"OVNKubernetes","nodes":[{"automatedCleaningMode":"disabled","bmcAddress":"redfish-virtualmedia+http://[fc00:1010::23]:9000/redfish/v1/Systems/728cd440-8280-5121-beee-1a562d24b4d4","bmcCredentialsName":{"name":"vm00058-bmc-secret"},"bootMACAddress":"52:54:00:00:00:3a","bootMode":"UEFI","hostName":"vm00058","ironicInspect":"disabled","nodeNetwork":{"config":{"dns-resolver":{"config":{"server":["fc00:1010::23"]}},"interfaces":[{"identifier":"mac-address","ipv4":{"enabled":false},"ipv6":{"address":[{"ip":"fc00:1010::421","prefix-length":64}],"autoconf":false,"dhcp":false,"enabled":true},"mac-address":"52:54:00:00:00:3a","name":"enp1s0","state":"up","type":"ethernet"}],"routes":{"config":[{"destination":"::/0","next-hop-address":"fc00:1010::1","next-hop-interface":"enp1s0"}]}},"interfaces":[{"macAddress":"52:54:00:00:00:3a","name":"enp1s0"}]},"templateRefs":[{"name":"ibi-node-templates-v1","namespace":"open-cluster-management"}]}],"pullSecretRef":{"name":"ibi-pull-secret"},"serviceNetwork":[{"cidr":"fd02::/112"}],"sshPublicKey":"ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABgQCxscIx1+gLr5/lFmtq7mK4wCqOgrvojUBwrRGZ5tJdwVwsbULmz0djuuKJbdE7ort6g+UFByr8sV3RVcW7tIqUfQi25+P03Npyyv/1T6XvMCxLZrL9YoYYY8mqVPHAu8NAasSJ0okdUgxytLXgi7SiIv58jaFb+P8n/74kSA90Zm7isuR7OdlVgPux7Kky6jr2r8y58iIZbrU43uuqzNsVmRm+y91w1VetfPNJgJUPgbaF8hMHrt7mK9u85bmN9uEGGxeQitDmMiA0MEJlddJCxh+yC7yqyaOpzOJFY951M3A5QcZTmuAWgztN3ruuezpHmWKF4+YwVBiYBrfUwtZmBlQPGNWah0Hkb4YASN//LgsR8N/X09eU54ndHlzNc3kkS55C/TV/K7Wmg4ovX8qYXi6NA3PGuMiblzQn2C/vVQZYSfoxtmI27/aRHaTnbdI8Dr41jcUr5TFtB/R9uYcdn/jcJl+0eq1F37vBcptVLYXhsmvH6+ZhL26u6gmG82M= root@d25-h23-000-r650.rdu2.scalelab.redhat.com","templateRefs":[{"name":"ibi-cluster-templates-v1","namespace":"open-cluster-management"}]}}
    creationTimestamp: "2025-10-31T03:56:41Z"
    finalizers:
    - clusterinstance.siteconfig.open-cluster-management.io/finalizer
    generation: 1
    labels:
      app.kubernetes.io/instance: ztp-clusters-04
    name: vm00058
    namespace: vm00058
    resourceVersion: "1825778"
    uid: 234ce9e0-6f09-46a9-a1fa-f2fb3d62bb4f
  spec:
    additionalNTPSources:
    - fc00:1010::23
    baseDomain: rdu2.scalelab.redhat.com
    clusterImageSetNameRef: openshift-4.19.14
    clusterName: vm00058
    clusterNetwork:
    - cidr: fd01::/48
      hostPrefix: 64
    clusterType: SNO
    cpuArchitecture: x86_64
    cpuPartitioningMode: None
    extraLabels:
      ManagedCluster:
        common: "true"
        du-profile: "4.19"
        group-du-sno: ""
        name: vm00058
        observability: enabled
        sites: vm00058
    holdInstallation: false
    installConfigOverrides: '{"capabilities":{"baselineCapabilitySet": "None", "additionalEnabledCapabilities":
      [ "OperatorLifecycleManager", "Ingress", "NodeTuning" ] }}'
    machineNetwork:
    - cidr: fc00:1010::/64
    networkType: OVNKubernetes
    nodes:
    - automatedCleaningMode: disabled
      bmcAddress: redfish-virtualmedia+http://[fc00:1010::23]:9000/redfish/v1/Systems/728cd440-8280-5121-beee-1a562d24b4d4
      bmcCredentialsName:
        name: vm00058-bmc-secret
      bootMACAddress: 52:54:00:00:00:3a
      bootMode: UEFI
      hostName: vm00058
      ironicInspect: disabled
      nodeNetwork:
        config:
          dns-resolver:
            config:
              server:
              - fc00:1010::23
          interfaces:
          - identifier: mac-address
            ipv4:
              enabled: false
            ipv6:
              address:
              - ip: fc00:1010::421
                prefix-length: 64
              autoconf: false
              dhcp: false
              enabled: true
            mac-address: 52:54:00:00:00:3a
            name: enp1s0
            state: up
            type: ethernet
          routes:
            config:
            - destination: ::/0
              next-hop-address: fc00:1010::1
              next-hop-interface: enp1s0
        interfaces:
        - macAddress: 52:54:00:00:00:3a
          name: enp1s0
      role: master
      templateRefs:
      - name: ibi-node-templates-v1
        namespace: open-cluster-management
    pullSecretRef:
      name: ibi-pull-secret
    serviceNetwork:
    - cidr: fd02::/112
    sshPublicKey: ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABgQCxscIx1+gLr5/lFmtq7mK4wCqOgrvojUBwrRGZ5tJdwVwsbULmz0djuuKJbdE7ort6g+UFByr8sV3RVcW7tIqUfQi25+P03Npyyv/1T6XvMCxLZrL9YoYYY8mqVPHAu8NAasSJ0okdUgxytLXgi7SiIv58jaFb+P8n/74kSA90Zm7isuR7OdlVgPux7Kky6jr2r8y58iIZbrU43uuqzNsVmRm+y91w1VetfPNJgJUPgbaF8hMHrt7mK9u85bmN9uEGGxeQitDmMiA0MEJlddJCxh+yC7yqyaOpzOJFY951M3A5QcZTmuAWgztN3ruuezpHmWKF4+YwVBiYBrfUwtZmBlQPGNWah0Hkb4YASN//LgsR8N/X09eU54ndHlzNc3kkS55C/TV/K7Wmg4ovX8qYXi6NA3PGuMiblzQn2C/vVQZYSfoxtmI27/aRHaTnbdI8Dr41jcUr5TFtB/R9uYcdn/jcJl+0eq1F37vBcptVLYXhsmvH6+ZhL26u6gmG82M=
      root@d25-h23-000-r650.rdu2.scalelab.redhat.com
    templateRefs:
    - name: ibi-cluster-templates-v1
      namespace: open-cluster-management
  status:
    clusterDeploymentRef:
      name: vm00058
    conditions:
    - lastTransitionTime: "2025-10-31T03:56:44Z"
      message: Validation succeeded
      reason: Completed
      status: "True"
      type: ClusterInstanceValidated
    - lastTransitionTime: "2025-10-31T03:56:44Z"
      message: Rendered templates successfully
      reason: Completed
      status: "True"
      type: RenderedTemplates
    - lastTransitionTime: "2025-10-31T03:56:44Z"
      message: Rendered templates validation succeeded
      reason: Completed
      status: "True"
      type: RenderedTemplatesValidated
    - lastTransitionTime: "2025-10-31T03:57:06Z"
      message: Provisioning cluster
      reason: InProgress
      status: "False"
      type: Provisioned
    - lastTransitionTime: "2025-10-31T03:58:33Z"
      message: Applied site config manifests
      reason: Completed
      status: "True"
      type: RenderedTemplatesApplied
    deploymentConditions:
    - lastProbeTime: "2025-10-31T13:36:31Z"
      lastTransitionTime: "2025-10-31T03:56:44Z"
      message: configuration image is attached to the referenced host
      reason: HostConfigurationSucceeded
      status: "True"
      type: ClusterInstallRequirementsMet
    - lastProbeTime: "2025-10-31T13:36:31Z"
      lastTransitionTime: "2025-10-31T03:56:44Z"
      message: Cluster failed to install within the timeout (1h0m0s)
      reason: ClusterInstallationTimedOut
      status: "False"
      type: ClusterInstallCompleted
    - lastProbeTime: "2025-10-31T13:36:31Z"
      lastTransitionTime: "2025-10-31T03:56:44Z"
      message: Cluster failed to install within the timeout (1h0m0s)
      reason: ClusterInstallationTimedOut
      status: "True"
      type: ClusterInstallFailed
    - lastProbeTime: "2025-10-31T13:36:31Z"
      lastTransitionTime: "2025-10-31T03:56:44Z"
      message: Cluster installation is taking longer than expected
      reason: ClusterInstallationTimedOut
      status: "False"
      type: ClusterInstallStopped
    manifestsRendered:
    - apiGroup: metal3.io/v1alpha1
      kind: BareMetalHost
      lastAppliedTime: "2025-10-31T03:58:33Z"
      name: vm00058
      namespace: vm00058
      status: rendered
      syncWave: 1
    - apiGroup: hive.openshift.io/v1
      kind: ClusterDeployment
      lastAppliedTime: "2025-10-31T03:58:33Z"
      name: vm00058
      namespace: vm00058
      status: rendered
      syncWave: 1
    - apiGroup: extensions.hive.openshift.io/v1alpha1
      kind: ImageClusterInstall
      lastAppliedTime: "2025-10-31T03:58:33Z"
      name: vm00058
      namespace: vm00058
      status: rendered
      syncWave: 1
    - apiGroup: v1
      kind: Secret
      lastAppliedTime: "2025-10-31T03:58:33Z"
      name: vm00058
      namespace: vm00058
      status: rendered
      syncWave: 1
    - apiGroup: agent.open-cluster-management.io/v1
      kind: KlusterletAddonConfig
      lastAppliedTime: "2025-10-31T03:58:33Z"
      name: vm00058
      namespace: vm00058
      status: rendered
      syncWave: 2
    - apiGroup: cluster.open-cluster-management.io/v1
      kind: ManagedCluster
      lastAppliedTime: "2025-10-31T03:58:33Z"
      name: vm00058
      status: rendered
      syncWave: 2
    observedGeneration: 1
kind: List
metadata:
  resourceVersion: ""
